POST api/v1/VaccineSchedule
Request Information
URI Parameters
None.
Body Parameters
VaccineSchedule| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| VaccineCode | string |
None. |
|
| VaccineName | string |
None. |
|
| DoseNo | byte |
None. |
|
| AgeLabel | string |
None. |
|
| AgeDays | integer |
None. |
|
| AgeMonths | integer |
None. |
|
| MinAgeDays | integer |
None. |
|
| MaxAgeDays | integer |
None. |
|
| Provider | string |
None. |
|
| Notes | string |
None. |
|
| IsOptional | boolean |
None. |
|
| IsActive | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"vaccineCode": "sample string 2",
"vaccineName": "sample string 3",
"doseNo": 64,
"ageLabel": "sample string 5",
"ageDays": 1,
"ageMonths": 1,
"minAgeDays": 1,
"maxAgeDays": 1,
"provider": "sample string 6",
"notes": "sample string 7",
"isOptional": true,
"isActive": true,
"createdAt": "2026-04-18T15:05:26.1015335+03:00",
"updatedAt": "2026-04-18T15:05:26.1015335+03:00"
}
application/xml, text/xml
Sample:
<VaccineSchedule xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <AgeDays>1</AgeDays> <AgeLabel>sample string 5</AgeLabel> <AgeMonths>1</AgeMonths> <CreatedAt>2026-04-18T15:05:26.1015335+03:00</CreatedAt> <DoseNo>64</DoseNo> <Id>1</Id> <IsActive>true</IsActive> <IsOptional>true</IsOptional> <MaxAgeDays>1</MaxAgeDays> <MinAgeDays>1</MinAgeDays> <Notes>sample string 7</Notes> <Provider>sample string 6</Provider> <UpdatedAt>2026-04-18T15:05:26.1015335+03:00</UpdatedAt> <VaccineCode>sample string 2</VaccineCode> <VaccineName>sample string 3</VaccineName> </VaccineSchedule>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.